<manifest version="2.0" type="device" target-level="4">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.biometrics.face</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBiometricsFace/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IBiometricsFingerprint/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.boot</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.6::ICameraProvider/legacy/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.configstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::ISurfaceFlingerConfigs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.contexthub</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
        <fqname>@1.0::IGatekeeper/mdfpp</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::IKeymasterDevice/default</fqname>
        <fqname>@4.0::IKeymasterDevice/strongbox</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.5::IRadio/slot1</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IRadioConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.deprecated</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::ISoundTriggerHw/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.vibrator</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::IVibrator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.dpm.api</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.imscmservice</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.uceservice</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.data.factory</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.esepowermanager</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.audiohalext</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAudioHalExt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICapabilityConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.connection</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.latency</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.dsp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDspService/dspservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.embmssl</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.factory</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.iop</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IIop/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.mwqemadapter</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.perf</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IPerf/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qseecom</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQSEECom/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qteeconnector</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAppConnector/default</fqname>
        <fqname>@1.0::IGPAppConnector/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.am</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.ims</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.internal.deviceinfo</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.lpa</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_client</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_server</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.soter</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.tui_comm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITuiComm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.callinfo</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.imsrtpservice</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.power.pasrmanager</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISehDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.biometrics.face</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehBiometricsFace/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::ISehBiometricsFingerprint/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehBluetooth/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.bluetooth.a2dp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISehBluetoothAudioOffload/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.bluetooth.a2dpsink</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISehBluetoothA2dpSinkProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::ISehBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehGnss/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.samsung.hardware.media.converter</name>
        <fqname>ISehColorConverterStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.miscpower</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehMiscPower/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::ISehRadio/slot1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.radio.bridge</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehBridge/slot1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.radio.channel</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehChannel/epdgd</fqname>
        <fqname>@2.0::ISehChannel/imsd</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.security.drk</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehDrk/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.security.hdcp.keyprovisioning</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISehHdcpKeyProvisioning/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.security.skpm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISehSkpm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.security.widevine.keyprov</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISehWidevineKeyProvisioning/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.samsung.hardware.snap</name>
        <fqname>ISehSnap/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.sysinput</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::ISehSysInputDev/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.tlc.ucm</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISehUcm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.vibrator</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::ISehVibrator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.samsung.hardware.wifi.supplicant</name>
        <transport>hwbinder</transport>
        <fqname>@3.1::ISehSupplicant/default</fqname>
    </hal>
</manifest>
